> ## Documentation Index
> Fetch the complete documentation index at: https://duxweb-22.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 文章分类



## OpenAPI

````yaml GET /content/category
openapi: 3.1.0
info:
  title: DuxCMS
  description: ''
  version: 1.0.0
servers: []
security: []
tags:
  - name: 内容
paths:
  /content/category:
    get:
      tags:
        - 内容
      summary: 文章分类
      parameters:
        - name: class
          in: query
          description: ''
          required: false
          example: ''
          schema:
            type: string
        - name: Content-Type
          in: header
          description: ''
          example: application/json
          schema:
            type: string
        - name: Accept
          in: header
          description: ''
          example: application/json
          schema:
            type: string
        - name: Authorization
          in: header
          description: ''
          example: >-
            Bearer
            eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdWIiOiJtZW1iZXIiLCJpYXQiOjE2OTk5NDg3ODYsImV4cCI6MTcwMjU0MDc4NiwiaWQiOjgsInBhc3N3b3JkIjoiJDJ5JDEwJDNjc3ZFM0xMN01aOWRUSGk0dWJlZ3Vqd3J6M25vMnVhYmdhUHd3TEdSVzg3NWFEU0NcL1JTUyJ9.yL2N-o6WJZUZOdlpIdfN8kbLSdkAhTW49FwdKYR0Gjo
          schema:
            type: string
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      list:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              description: 分类 id
                            name:
                              type: string
                              description: 分类名称
                            _lft:
                              type: integer
                              description: ' 二叉树'
                            _rgt:
                              type: integer
                            parent_id:
                              type: 'null'
                              description: 上级分类 id
                            created_at:
                              type: string
                            updated_at:
                              type: string
                            magic_id:
                              type: 'null'
                            children:
                              type: array
                              items:
                                type: string
                              description: 下级数据
                          x-apifox-orders:
                            - id
                            - name
                            - _lft
                            - _rgt
                            - parent_id
                            - created_at
                            - updated_at
                            - magic_id
                            - children
                          x-apifox-ignore-properties: []
                    required:
                      - list
                    x-apifox-orders:
                      - list
                    x-apifox-ignore-properties: []
                  meta:
                    type: array
                    items:
                      type: string
                required:
                  - code
                  - message
                  - data
                  - meta
                x-apifox-orders:
                  - code
                  - message
                  - data
                  - meta
                x-apifox-ignore-properties: []
              examples:
                '1':
                  summary: 成功示例
                  value:
                    code: 200
                    message: ok
                    data:
                      list:
                        - id: 1
                          name: 默认分类
                          _lft: 1
                          _rgt: 2
                          parent_id: null
                          created_at: '2023-12-14T07:18:05.000000Z'
                          updated_at: '2023-12-14T07:18:05.000000Z'
                          magic_id: null
                          children: []
                    meta: []
      deprecated: false
      security: []

````